
#define DEG2RAD(a)  ((M_PI * (a)) / 180.0)
#define RAD2DEG(a)  ((180.0 * (a)) / M_PI)

/*
 * types.h
 *
 * Fundamental data types
 */

#ifndef _TYPES_H_
#define _TYPES_H_


/*****************************************************************************
 Fundamental Data Types

 These data types must be the number of bits they imply.
*****************************************************************************/

typedef unsigned int    UINT32; /* unsigned 32-bit integer (double word) */
typedef signed int      INT32;  /* signed 32-bit integer (double word) */
typedef unsigned short  UINT16; /* unsigned 16-bit integer (word) */
typedef signed short    INT16;  /* signed 16-bit integer (word) */
typedef unsigned char   UINT8;  /* unsigned 8-bit integer (byte) */
typedef signed char     INT8;   /* signed 8-bit integer (byte) */


#endif	/* _TYPES_H_ */
